#include "os.h"
#include "kheap.h"
#include "task.h"

extern page_directory_t* current_directory;
extern task_t* current_task;
extern tss_entry_t tss_entry;
extern ULONG read_eip();

void moo()
{
  while(TRUE)
      printformat("MOO %d", getpid()); // <-- kuh
}

void baa()
{
  while(TRUE)
      printformat("BAA %d", getpid()); // <- schaf
}

int main()
{
    printformat("Welcome to PrettyOS 0.07\n");

    // GDT, IDT, ISRS, IRQ, timer, keyboard, paging, enable interrupts, RAM disk, multitasking
    gdt_install();
    idt_install();
    isrs_install();
    irq_install();
    initODA();
    timer_install();
    keyboard_install();
    sti();
    paging_install();
    tasking_install();

    create_task(moo);
    create_task(baa);

    pODA->ts_flag = 1;

    while(TRUE)
        printformat("%d", getpid());
    return 0;
}
